#include <stdio.h>
#include "varray2C.dc.h"

// These two routines are identical

void c_darray_print(int arr[], int size) {
  int i;

  printf("C: Printing dynamic array: '");
  i = 0;
  while (arr[i]) printf("%c", arr[i++]);
  printf("'\n");

  // Put data in the array to verify that data can flow from C to Vera
  for (i = 0; i < size; i++) {
    arr[i] = i + 1;
  }

  printf("C: c_darray_print successful\n");
}



void c_sarray_print(int arr[], int size) {
  int i;

  printf("C: Printing static array: '");
  i = 0;
  while (arr[i]) printf("%c", arr[i++]);
  printf("'\n");

  // Put data in the array to verify that data can flow from C to Vera
  for (i = 0; i < size; i++) {
    arr[i] = i + 1;
  }

  printf("C: c_sarray_print successful\n");
}
